A redmine user can raise/create a tracker even though he/she is not a member of project

2014-06-18 07:37 - Lajish Lakshmanan

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Projects Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.5.1

Description

Currently in my organisation, we are handling too many projects through redmine. In testing team different members works in

different projects. Hence testing team member from other projects can create issue in project in which they are not members.

If we made project not public then others not able to view issues of other project. But generally members of other projects should be

able to view issues and respective comments but shouldn't able to edit any changes into it.

Can we have a corresponding facility in each project's setting where non members can edit issue, comments, wiki, add document

etc....

Related issues:

Is duplicate of Redmine - Defect #16661: Different users sharing same role ha... New

History

#1 - 2014-06-18 19:54 - Michael Esemplare

You can configure the permissions a Non-Member has in Administration/Roles and Permissions. This will be applied to all projects.

It seems your current problem is that you have a "Testing Team" group. You assign this group a certain role to all projects. You don't want all

members of that group to have permissions to all projects.

If that is the case, one solution would be create testing groups for each project. "Testing Team Proj A", "Testing Team Proj B", etc.

Can we have a corresponding facility in each project's setting where non members can edit issue, comments, wiki, add document etc....

 Are you asking for a per-project Non-Member permissions?

If so I think this would align with Feature #850: Per-project role permissions

I would also consider this as a duplicate of your previous request: #16661.

#2 - 2014-07-17 01:57 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Michael Esemplare wrote:

I would also consider this as a duplicate of your previous request: #16661.

 Thank you for your pointing.

#3 - 2014-07-17 01:57 - Toshi MARUYAMA

- Is duplicate of Defect #16661: Different users sharing same role have rights in projects in which user is not a member added
